Package org.eclipse.lemminx.services

## Class XMLPrepareRename

- java.lang.Object
- - org.eclipse.lemminx.services.XMLPrepareRename

    public class XMLPrepareRename
    extends Object

XML prepare rename support.

### Constructor Summary

Constructors
`XMLPrepareRename​(XMLExtensionsRegistry extensionsRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult>` `prepareRename​(DOMDocument xmlDocument, org.eclipse.lsp4j.Position position, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLPrepareRename

    public XMLPrepareRename​(XMLExtensionsRegistry extensionsRegistry)

### Method Detail

#### prepareRename

    public org.eclipse.lsp4j.jsonrpc.messages.Either<org.eclipse.lsp4j.Range,​org.eclipse.lsp4j.PrepareRenameResult> prepareRename​(DOMDocument xmlDocument,
                                                                                                                                        org.eclipse.lsp4j.Position position,
                                                                                                                                        org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)